.chat_container{
    z-index:997;
    max-width:100%;
    height: calc(100vh - 80px);
    background:#fff;
    box-shadow: 0 1px 1px 0 rgba(0,0,0,0.06), 0 2px 5px 0 rgba(0,0,0,0.06);
    display: flex;
    box-sizing:border-box;
    border-radius:7px;
    border: 1px solid rgba(0,0,0,0.08);
}

.container .leftSide{
    position:relative;
    flex:30%;
    background:#fff;
    border-right: 1px solid rgba(0,0,0,0.2);
    border-radius:7px 0 0 7px;
    overflow-y:auto;
    overflow-x:hidden;
}

.container .rightSide{
    position:relative;
    flex:70%;
    background:#F3EDE3;
    border-radius:0 7px 0 0;
    overflow:hidden;
}

.chat_header{
    position:relative;
    width:100%;
    height:50px;
    background:#D5C4BB;
    display:flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 15px;
    border-radius:7px 0 0 0;
}
.userimg img{
    position:relative;
    width:40px;
    height:40px;
    overflow:hidden;
    border-radius:50%;
}
.cover{
    position:absolute;
    top: 0;
    left:0;
    width:100%;
    height:100%;
    object-fit: cover;
}
.nav_icons{
    display:flex;
}

.nav_icons li{
    display: flex;
    list-style:none;
    cursor: pointer;
    color:#51585c;
    font-size: 1.5em;
    margin-left: 22px;
}
.search_chat{
    position: relative;
    width:100%;
    height:50px;
    background:#F3EDE3;
    display: flex;
    justify-content: center;
    align-items: center;
    padding:0 15px;
}
.search_chat div{
    width:100%;
}

.search_chat div input{
    width:100%;
    outline:none;
    border:none;
    background:#fff;
    padding:6px;
    height:30px;
    border-radius:7px;
    font-size:14px;
    padding-left: 40px;
}

.search_chat div input::placeholder{
    color: #bbb;
}

.search_chat div ion-icon{
    position:absolute;
    left:30px;
    top:14px;
    font-size:1.2em;
}

.user-chat-details a{
    text-decoration:none;
}

.chatlist{
    position: relative;
    height: calc(100% - 110px); /* 60 + 50 = 110*/
    overflow-y: auto;
}

.chatlist .contact_block{
    position: relative;
    width:100%;
    display: flex;
    justify-content: center;
    border-bottom: 1px solid rgba(0,0,0,0.06);
    cursor: pointer;
}

.chatlist .contant_block.active{
     position: relative;
    width:100%;
    display: flex;
    justify-content: center;
    border-bottom: 1px solid rgba(0,0,0,0.06);
    cursor: pointer;
    background: #ebebeb;
}

.chatlist .contact_block:hover{
    background: #F3EDE3;
}

.chatlist .contact_block .imgbx img{
    width:45px;
    height:45px;
    overflow: hidden;
    border-radius: 50%;
    margin:5px;
}
.chatlist .contact_block .details{
    position: relative;
    width:100%;
    margin: 5px;
}

.chatlist .contact_block .details .listHead{
    display: flex;
    justify-content: space-between;
}

.chatlist .contact_block .details .listHead h4{
    font-size: 14px;
    font-weight: 600;
    color: #80726F;
}

.chatlist .contact_block .details .listHead .time{
    font-size: 0.65em;
    color: #111;
}

.chatlist .contact_block.unread .details .listHead .time{
    color: #01d755;
}

.message_p{
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.message_p p{
    color: #aaa;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    font-size: 0.9em;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow:ellipsis;
}

.message_p b{
    background: #C01240;
    color:#fff;
    min-width:20px;
    height:20px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 0.75em;
}
.rightside_header{
    height: 50px;
    background-color:white;
    width:100%;
    opacity:1;
}

.imgText{
    width:100%;
    position: relative;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background:#fff;
    padding:5px;
}

.imgText .imgText_inner{
    width:100%;
    position: relative;
    display: flex;
    align-items: center;
}

.imgText_inner h4{
    font-weight:500;
    line-height:1.2em;
    margin-left: 15px;
}

.imgText_inner h4 span{
    font-size: 0.8em;
    color:#555;
}

/* chatBox*/
.chatBox{
    position:relative;
    width:100%;
    height: calc(100vh - 190px); /*60+60=120*/
    padding:20px;
    overflow-y:auto;
    overflow-x:hidden;
    box-sizing:border-box;
    scroll-behavior: smooth;
    content: '';
    top:0;
    left:0;
    background-image: url(/file/chat-pattern2.svg);
    background-size:cover;
    z-index:994;
}


.chatbox_back{
    z-index:995;
    opacity:1;
    width:100%;
    height: calc(100vh - 190px); /*60+60=120*/
}

.chatBox::-webkit-scrollbar {
    width: 7px;
    background-color: #f9f9fd;
}

.chatBox::-webkit-scrollbar-track {
  -webkit-box-shadow: 5px 5px 5px -5px rgba(34, 60, 80, 0.2) inset;
  background-color: #f9f9fd;
  border-radius: 10px;
}

.chatBox::-webkit-scrollbar-thumb {
  border-radius: 10px;
  background: linear-gradient(180deg, #870D39, #C01240);
}

.chatBox .ajax_photo_preview{
    display:none;
    width:100%;
    height:270px;
    background: #fff;
    padding:10px;
    border-radius:7px;
}

.chatBox .ajax_photo_preview img{
    width:auto;
    height:250px;
    border-radius:7px;
    overflow:hidden;
}

.my_message{
    position: relative;
    display:flex;
    flex-direction:row;
    width:100%;
    margin: 5px 0;
    box-sizing:border-box;
    justify-content: flex-end;
    z-index:994;
    opacity:1;
}

.my_message_inner img{
    height:auto;
    width:200px;
}

.my_message p{
    position:relative;
    right:0;
    text-align: right;
    max-width:65%;
    padding:12px;
    background: #CBB6AB;
    border-radius: 7px;
    font-size: 0.9em;
    box-sizing:border-box;
}

.my_message_inner{
    position:relative;
    right:0;
    text-align: right;
    max-width:65%;
    padding:12px;
    background: #CBB6AB;
    border-radius: 7px;
    font-size: 0.9em;
    box-sizing:border-box;
}

.my_message p span{
    display: flex;
    margin-top: 5px;
    font-size:0.85em;
    opacity:0.7;
}

.my_message_inner p span{
    display: flex;
    margin-top: 5px;
    font-size:0.85em;
    opacity:0.7;
}

.my_message span #check{
    width:20px;
    height:20px;
    margin:0;
    padding:0;
}

.my_message span #ready{
    display:none;
    width:20px;
    height:20px;
    margin:0;
    padding:0;
}

.frnd_message{
    position: relative;
    display:flex;
    flex-direction:row;
    width:100%;
    margin: 5px 0;
    box-sizing:border-box;
    justify-content: flex-start;
}

.frnd_message p{
    position:relative;
    right:0;
    max-width:65%;
    padding:12px;
    background: #fff;
    text-align: left;
    border-radius: 7px;
    font-size: 0.9em;
    box-sizing:border-box;
}

.frnd_message p span{
    display: block;
    margin-top: 5px;
    font-size:0.85em;
    opacity:0.7;
}

.chatbox_input{
    position: absolute;
    bottom:0px;
    width:100%;
    height:60px;
    background:#D5C4BB;
    padding: 15px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.chatbox_input img{
    cursor: pointer;
    font-size: 1.8em;
}
.chatbox_input input{
    position: relative;
    width:90%;
    margin: 0 10px 0 0;
    padding: 10px 10px;
    border: none;
    outline: none;
    border-radius: 7px;
    font-size: 1em;
}
